import * as z from 'zod';
export const OfficeContactGroupByResultSchema = z.array(z.object({
  id: z.number().int(),
  userId: z.number().int(),
  officeName: z.string(),
  receptionistName: z.string(),
  dentistName: z.string(),
  phoneNumber: z.string(),
  email: z.string(),
  fax: z.string(),
  streetAddress: z.string(),
  city: z.string(),
  state: z.string(),
  zipCode: z.string(),
  _count: z.object({
    id: z.number(),
    userId: z.number(),
    officeName: z.number(),
    receptionistName: z.number(),
    dentistName: z.number(),
    phoneNumber: z.number(),
    email: z.number(),
    fax: z.number(),
    streetAddress: z.number(),
    city: z.number(),
    state: z.number(),
    zipCode: z.number(),
    user: z.number()
  }).optional(),
  _sum: z.object({
    id: z.number().nullable(),
    userId: z.number().nullable()
  }).nullable().optional(),
  _avg: z.object({
    id: z.number().nullable(),
    userId: z.number().nullable()
  }).nullable().optional(),
  _min: z.object({
    id: z.number().int().nullable(),
    userId: z.number().int().nullable(),
    officeName: z.string().nullable(),
    receptionistName: z.string().nullable(),
    dentistName: z.string().nullable(),
    phoneNumber: z.string().nullable(),
    email: z.string().nullable(),
    fax: z.string().nullable(),
    streetAddress: z.string().nullable(),
    city: z.string().nullable(),
    state: z.string().nullable(),
    zipCode: z.string().nullable()
  }).nullable().optional(),
  _max: z.object({
    id: z.number().int().nullable(),
    userId: z.number().int().nullable(),
    officeName: z.string().nullable(),
    receptionistName: z.string().nullable(),
    dentistName: z.string().nullable(),
    phoneNumber: z.string().nullable(),
    email: z.string().nullable(),
    fax: z.string().nullable(),
    streetAddress: z.string().nullable(),
    city: z.string().nullable(),
    state: z.string().nullable(),
    zipCode: z.string().nullable()
  }).nullable().optional()
}));